Trouble installing Cutycapt on CentOS

I’m currently trying to install CutyCapt on my CentOS VPS. I need this for displaying screenshots of websites in a catalogue.

Regrettably there’s only a Debian/Ubuntu installation guide available. It must be said, I’m no expert at Linux or command lines, but I still decided to give the installation a go…

  • git trouble via https: routines:SSL23_GET_SERVER_HELLO
  • Subversion web interface
  • Git .git/info/refs not valid: is this a git repository?
  • Should i use git add before or git commit before
  • Why is authorized_keys ignored?
  • Trouble Installing Git on CentOS
  • So far I’ve done the following with success:

    yum install Xvfb
    yum install xorg-x11-fonts*
    yum install subversion libqt4-webkit libqt4-dev
    

    However, when trying to get CutyCapt from the SourceForge repository:

    yum install https://cutycapt.svn.sourceforge.net/svnroot/cutycapt
    

    I get the following message:

    No package https://cutycapt.svn.sourceforge.net/svnroot/cutycapt available.
    

    Is the ‘missing’ package a result of me using a wrong command, installing or configuring Subversion in a bad way?

    If anyone has any experience in installing and setting up CutyCapt on a CentOS server, I would be grateful for a mini-guide. It seems that several people have requested it, but nothing is to be found on Google.

  • Branch vs. Tag vs. Revision in SVN terminology
  • Include SVN revision number in source code
  • Adding git submodules?
  • Shelve in TortoiseSVN?
  • How do you move a file in SVN?
  • svn (subversion) ignore specific file types in all sub-directories, configured on root?
  • 3 Solutions collect form web for “Trouble installing Cutycapt on CentOS”

    This works for CentOS 5.5 64bit:

    1. Add this to /etc/yum.repos.d/CentOS-Base.repo

      #ATrpms
      [atrpms]
      name= CentOS-$releasever - ATrpms
      baseurl=http://dl.atrpms.net/el$releasever-$basearch/atrpms/testing
      gpgcheck=1
      gpgkey=http://ATrpms.net/RPM-GPG-KEY.atrpms
      enabled=1
      
    2. rpm –import http://packages.atrpms.net/RPM-GPG-KEY.atrpms

    3. yum install subversion qt47-devel qt47-webkit gcc-c++

    4. svn co https://cutycapt.svn.sourceforge.net/svnroot/cutycapt

    5. cd cutycapt/CutyCapt

    6. qmake

    7. make

    I would also add to canavar’s answer that in step 2, you should also do the following

    yum install qt47-webkit-devel sqlite

    Otherwise, make in step 6 will fail because the directory /usr/include/QtWebKit does not exist, and/or your SQLite version is too old (needs version 3.6.20 or higher).

    This is an svn repo. You should use an svn command to access this repository.

    Try: svn co https://cutycapt.svn.sourceforge.net/svnroot/cutycapt 
    

    New Qt4.4 Packages are available for CentOS (EL5 Distros) in this repo:

    http://packages.atrpms.net/dist/el5/
    

    Just install qt44* and qt44-devel* – webkit is included in the 4.4 version of Qt. (need to import signature of repo. – check the download instructions for details)

    Git Baby is a git and github fan, let's start git clone.